Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: DEPRECATED: AbanteCart core v.1.2.3 mysql_connect(): The mysql extension error  (Read 3178 times)

Offline webdevmerc

  • Full Member
  • ***
  • Posts: 172
  • Karma: +32/-1
    • View Profile
For some reason, I just started getting these in multiple sites...Anyone else notice this?

DEPRECATED: AbanteCart core v.1.2.3 mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in <b>/home/aplacefo/public_html/core/database/mysql.php</b> on line <b>46</b>

Running 1.2.3...Only minor changes to a few storefront view files...

Offline Siri M.

  • Newbie
  • *
  • Posts: 41
  • Karma: +7/-0
    • View Profile
Hi
I had the problem after moving my site to new host. I fixed it by changing "define('DB_DRIVER', 'mysql');" to "define('DB_DRIVER', 'amysqli');" in config.php file.

See if that helps. It at least works with my web host setup. Might be different for yours.

Also, after that I was able to upgrade to 1.2.4 without a problem. Before that the upgrade failed.
« Last Edit: November 11, 2015, 09:02:20 PM by Siri M. »

Offline webdevmerc

  • Full Member
  • ***
  • Posts: 172
  • Karma: +32/-1
    • View Profile
Thanks!  That made the error stop, but why is it amysqli?

What's the 'a...' for?

 

Powered by SMFPacks Social Login Mod